[Overview][Constants][Types][Classes][Index] | Reference for unit 'BlowFish' (#fcl)

# TBlowFish

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Class implementing Blowfish encryption/decryption

## Declaration

Source position: blowfish.pp line 36

`type TBlowFish = class(TObject)`
`public`
`constructor Create();` |  | Create a new instance of the TBlowFish class
`procedure Encrypt();` |  | Encrypt a block
`procedure Decrypt();` |  | Decrypt a block
`end;`

## Inheritance

`TBlowFish` |  | Class implementing Blowfish encryption/decryption
`TObject`

## Description

TBlowFish is a simple class that can be used to encrypt/decrypt a single TBFBlock data block with the Encrypt and Decrypt calls. It is used internally by the TBlowFishEnCryptStream and TBlowFishDeCryptStream classes to encrypt or decrypt the actual data.

## See also

TBlowFishEnCryptStream |  | On-the-fly Blowfish encryption stream
TBlowFishDeCryptStream |  | On-the-fly Blowfish decryption stream